package com.fjhx.wms.entity.stock.emums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum StockWaitType {

    BORDER_OF_LINE_IN(InOutType.IN, 1, "线边回仓", ""),
    COMPLETION_IN(InOutType.IN, 2, "完工入库", ""),
    PURCHASE_ARRIVAL_IN(InOutType.IN, 3, "采购到货", ""),
    BACK_OUT(InOutType.OUT, 4, "退货出库", ""),
    JD_ORDER_OUT(InOutType.OUT, 5, "京东订单出库", "jd_order"),
    SALE_ORDER_OUT(InOutType.OUT, 6, "销售订单出库", "order_info"),
    PRODUCTION_TASK_OUT(InOutType.OUT, 7, "生产任务待出库", "production_task"),
    SALES_RETURN_IN(InOutType.IN, 8, "售后退货入库", "after_sales"),
    SALES_REPLACE_IN(InOutType.IN, 9, "售后换货入库", "after_sales"),
    SALES_REPLACE_OUT(InOutType.OUT, 10, "售后换货出库", "after_sales"),
    WORD_ORDER_OUT(InOutType.OUT, 11, "工单直接出库出库", "work_order");


    /**
     * 出入库类型
     */
    private final InOutType type;

    /**
     * 详细类型
     */
    private final Integer detailType;

    /**
     * 信息类型说明
     */
    private final String detailTypeRemark;

    /**
     * 关联业务表名
     */
    private final String linkBusinessTableName;

}
